Subject: Re: [PATCH] gnu packages gnome-console: Remove nautilus extension

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 18 Oct 2022 08:19:47 +0200

Am Montag, dem 17.10.2022 um 18:20 +0200 schrieb Mája Tomášek:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Sonntag, dem 16.10.2022 um 19:34 +0200 schrieb Mája Tomášek:
> > > 
> > > Hi,
> > > 
> > > this patch removes the gnome-console nautilus extension as it
> > > crashes nautilus (at least on my machine).
> > I can confirm it working as intended on at least two separate
> > machines, both configured 
> 
> I have pinpointed the issue! I tried the debugging steps and suddenly
> nautilus opened fine.
> 
> So, the issue is that I have some deffective version of
> libkgx-nautilus.so, which does return NULL list.
> 
> But, if I provide a different version of gnome-console
> (ie. --with-debug-info=gnome-console) nautilus suddenly opens fine.
> 
> I have run multiple guix pulls, guix system reconfigure, guix gc
> --verify=contents but it has not fixed it.
> 
> It even works when I use run guix shell --pure nautilus gnome-
> console.
> 
> I am now completely lost.
IIRC you have to --verify=contents,repair.  Note that repair might
still not work due to gnome-console – like all gnome packages –
receiving grafts, which is known to mess with guix build --repair.

If everything else fails, you can try rolling back to a generation
before gnome-console was built, delete all future generations, gc, and
then rebuild gnome-console.  This should definitely make nautilus work,
under the assumption that your gnome-console build succeeds this time
and no spurious hardware failure turns up.

Cheers